/* 背景（body）を開いた位置で固定する */
.body  {
  position: fixed;
  overflow: hidden;
  overscroll-behavior: contain; /* スクロールの連鎖を防ぐ */
}

/* ポップアップを閉じた状態（初期状態） */
.popup-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6); /* 背景を半透明の黒にする */
  justify-content: center;
  align-items: center;
  z-index: 9999;
}


/* リンクがクリックされてURLのハッシュが変化した時（表示時） */
.popup-overlay:target {
  display: flex;
}

/* ポップアップの中身 */
.popup-content {
  background-color: #fff;
  padding: 5px;
  border-radius: 8px;
  width: 90%;
  max-width: 500px;
  position: relative;
  text-align: center;
}

/* 閉じるボタン */
.close-btn {
  position: absolute;
  top: 15px;
  right: 20px;
  font-size: 24px;
  color: #333;
  text-decoration: none;
}


